#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include "SDL_timer.h"
#include "x_gp32.h"
void GpDelay( unsigned int millisec );
int printf(const char *fmt,...);

void GpDelay( unsigned int millisec )
{
        int nTick;
        nTick=SDL_GetTicks();
        while( (SDL_GetTicks()-nTick)<millisec );
}


#define MAXPRINT 128
int printf(const char *fmt,...)
{
        char printme[MAXPRINT];
        static int logrow=0;
        va_list args;

        va_start(args,fmt);
        vsprintf(printme,fmt,args);
        va_end(args);
        printme[MAXPRINT-1] = '\0';

#if 0
	if (logrow == 0)
		memset((unsigned char *)208666624+737280,0xff,320*240*2);
	x_gp32_setFramebuffer((unsigned int)(208666624+737280), 0);
#endif
	x_gp32_TextOut(0, logrow, (char *)printme, 128);
	logrow+=12;
	if(logrow>=228) logrow=0;
	//GpDelay(250);
}

